# ScalaPlugin

abstract class ScalaPlugin : Plugin<T>

A Plugin which sets up a Scala project.

#### See also

ScalaBasePlugin
<a href="https://docs.gradle.org/current/userguide/scala_plugin.html">Scala plugin reference</a>

## Constructors

ScalaPlugin
Link copied to clipboard
constructor()

## Properties

SCALA_DOC_TASK_NAME
Link copied to clipboard
val SCALA_DOC_TASK_NAME: String = "scaladoc"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)